REST APIAccount

Account and connected accounts

Who the key belongs to, the plan, usage and connected social accounts.

Get the key and usage

GET/api/mescope: read
curl https://www.zieads.com/api/me \
  -H "Authorization: Bearer zk_your_key"
Response 200
{
  "data": {
    "key": {
      "id": "a3c1...",
      "name": "Zapier",
      "kind": "key",
      "scopes": [
        "read",
        "draft"
      ],
      "auto_approve": []
    },
    "plan": "pro",
    "usage": {
      "day": "2026-11-03",
      "used": 42,
      "limit": 5000
    }
  }
}

List connected accounts

GET/api/accountsscope: read
curl https://www.zieads.com/api/accounts \
  -H "Authorization: Bearer zk_your_key"
Response 200
{
  "data": {
    "accounts": [
      {
        "id": "6b1f...",
        "platform": "instagram",
        "handle": "@kopikita",
        "connected_at": "2026-10-02T09:12:00Z"
      },
      {
        "id": "91d0...",
        "platform": "facebook",
        "handle": "Kopi Kita",
        "connected_at": "2026-10-02T09:13:00Z"
      }
    ]
  }
}